petsc-3.10.5 2019-03-28
Report Typos and Errors

# PCICC

Incomplete Cholesky factorization preconditioners.

### Options Database Keys

| -pc_factor_levels <k> | - number of levels of fill for ICC(k)
| -pc_factor_in_place | - only for ICC(0) with natural ordering, reuses the space of the matrix for its factorization (overwrites original matrix)
| -pc_factor_fill <nfill> | - expected amount of fill in factored matrix compared to original matrix, nfill > 1
| -pc_factor_mat_ordering_type <natural,nd,1wd,rcm,qmd> | - set the row/column ordering of the factored matrix

### Notes

Only implemented for some matrix formats. Not implemented in parallel.

For BAIJ matrices this implements a point block ICC.

The Manteuffel shift is only implemented for matrices with block size 1

By default, the Manteuffel is applied (for matrices with block size 1). Call PCFactorSetShiftType(pc,MAT_SHIFT_POSITIVE_DEFINITE); to turn off the shift.

### References

1. -TONY F. CHAN AND HENK A. VAN DER VORST, Review article: APPROXIMATE AND INCOMPLETE FACTORIZATIONS, Chapter in Parallel Numerical Algorithms, edited by D. Keyes, A. Semah, V. Venkatakrishnan, ICASE/LaRC Interdisciplinary Series in Science and Engineering, Kluwer.

### See Also

PCCreate(), PCSetType(), PCType (for list of available types), PC, PCSOR, MatOrderingType,
PCFactorSetZeroPivot(), PCFactorSetShiftType(), PCFactorSetShiftAmount(), PCFactorSetFill(), PCFactorSetMatOrderingType(), PCFactorSetReuseOrdering(), PCFactorSetLevels()

### Level

beginner

### Location

src/ksp/pc/impls/factor/icc/icc.c

### Examples

src/ksp/pc/examples/tutorials/ex2.c.html
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages